package com.yutou.bilibili.mybatis.Bili.mybatis.model;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * bilibili_live_info
 * @author 
 */
@Data
public class BilibiliLiveInfo implements Serializable {
    private Integer id;

    private Integer roomid;

    private Integer popular;

    private Integer userindex;

    private Integer vipuserindex;

    private Integer giftuser;

    private Date subtime;

    private static final long serialVersionUID = 1L;

    public Integer getRoomid() {
        if(roomid==null)
            roomid=0;
        return roomid;
    }

    public Integer getPopular() {
        if(popular==null) {
            popular=0;
        }
        return popular;
    }

    public Integer getUserindex() {
        if(userindex==null) {
            userindex=0;
        }
        return userindex;
    }

    public Integer getVipuserindex() {
        if(vipuserindex==null) {
            vipuserindex=0;
        }
        return vipuserindex;
    }

    public Integer getGiftuser() {
        if(giftuser==null) {
            giftuser=0;
        }
        return giftuser;
    }
}